package jalview.ext.archaeopteryx;

import jalview.analysis.TreeBuilder;
import jalview.gui.Desktop;

import java.awt.Dimension;

import org.forester.archaeopteryx.Archaeopteryx;
import org.forester.archaeopteryx.MainFrame;
import org.forester.phylogeny.Phylogeny;

public class ArchaeopteryxFrame
{

  public static void createInstance(Phylogeny aptxTree)
  {
    new ArchaeopteryxFrame(aptxTree);

  }

  public static void createInstance(
          TreeBuilder calculatedTree)
  {
    new ArchaeopteryxFrame(calculatedTree);

  }

  private ArchaeopteryxFrame(Phylogeny aptxTree)
  {
    MainFrame aptxApp = Archaeopteryx.createApplication(aptxTree);
    start(aptxApp);

  }

  private ArchaeopteryxFrame(TreeBuilder calculatedTree)
  {
    ArchaeopteryxTreeBuilder aptxTreeBuilder = new ArchaeopteryxTreeBuilder();
    Phylogeny aptxTree = aptxTreeBuilder.buildAptxTree(calculatedTree);

    Phylogeny[] aptxTrees = { aptxTree }; // future possibility to load in
                                          // several trees simultaneously

    MainFrame aptxApp = Archaeopteryx.createApplication(aptxTrees,
            "_aptx_jalview_configuration_file", "hoi");
    start(aptxApp);
  }



  public void start(MainFrame aptxApp)
  {
    int width = 400;
    int height = 550;
    aptxApp.setMinimumSize(new Dimension(width, height));

    Desktop.addInternalFrame(aptxApp, "Archaeopteryx Tree View", true,
            width, height, true, true);

  }


}
